

package gov.va.med.cds.filter;


import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

import java.util.Properties;


@RunWith( SuiteAwareRunner.class )
public class FilterServiceSimulatorNoOpTest
{

    @Test
    @Suite( groups = "checkintest" )
    public void testFilterServiceSimulatorNoOp( )
    {
        FilterServiceSimulatorNoOp filterService = new FilterServiceSimulatorNoOp();
        String vhimVerion = "Vhim_4_00";
        String filterId = "AA_SINGLE_PATIENT_ALL_DATA_FILTER";

        filterService.initialize();
        filterService.setTestFilters( new Properties() );

        Assert.assertTrue( filterService.isAlive() );
        Assert.assertNull( filterService.getActiveFilterIds( vhimVerion ) );
        Assert.assertNull( filterService.getFilterMetaData( filterId ) );
        Assert.assertNull( filterService.getVhimVersions() );

    }
}
